std::__profile::multiset< _Key, _Compare, _Allocator >(3)

NAME
std::__profile::multiset< _Key, _Compare, _Allocator > -

SYNOPSIS

Inherits multiset< _Key, _Compare, _Allocator >, and std::__profile::_Ordered_profile< _Cont >.

  Public Types
typedef _Allocator allocator_type
typedef __iterator_tracker< _Base_const_iterator, multiset > const_iterator
typedef _Base::const_reference const_reference
typedef std::reverse_iterator< const_iterator > const_reverse_iterator
typedef _Base::difference_type difference_type
typedef __iterator_tracker< _Base_iterator, multiset > iterator
typedef _Compare key_compare
typedef _Key key_type
typedef _Base::reference reference
typedef std::reverse_iterator< iterator > reverse_iterator
typedef _Base::size_type size_type
typedef _Compare value_compare
typedef _Key value_type

  Public Member Functions
multiset (const multiset &)=default
multiset (multiset &&)=default
multiset (const _Compare &__comp, const _Allocator &__a=_Allocator())
template<typename _InputIterator , typename = std::_RequireInputIter<_InputIterator>> multiset (_InputIterator __first, _InputIterator __last, const _Compare &__comp=_Compare(), const _Allocator &__a=_Allocator())
multiset (initializer_list< value_type > __l, const _Compare &__comp=_Compare(), const allocator_type &__a=allocator_type())
multiset (const allocator_type &__a)
multiset (const multiset &__x, const allocator_type &__a)
multiset (multiset &&__x, const allocator_type &__a) noexcept(noexcept(_Base(std::move(__x), __a)))
multiset (initializer_list< value_type > __l, const allocator_type &__a)
template<typename _InputIterator > multiset (_InputIterator __first, _InputIterator __last, const allocator_type &__a)
multiset (const _Base &__x)
_Base & _M_base () noexcept
const _Base & _M_base () const noexcept
void _M_profile_iterate (int __rewind=0) const
iterator begin () noexcept
const_iterator begin () const noexcept
const_iterator cbegin () const noexcept
const_iterator cend () const noexcept
void clear () noexcept
size_type count (const key_type &__x) const
const_reverse_iterator crbegin () const noexcept
const_reverse_iterator crend () const noexcept
template<typename... _Args> iterator emplace (_Args &&...__args)
template<typename... _Args> iterator emplace_hint (const_iterator __pos, _Args &&...__args)
iterator end () noexcept
const_iterator end () const noexcept
std::pair< iterator, iterator > equal_range (const key_type &__x)
std::pair< const_iterator, const_iterator > equal_range (const key_type &__x) const
iterator erase (const_iterator __pos)
size_type erase (const key_type &__x)
iterator erase (const_iterator __first, const_iterator __last)
iterator find (const key_type &__x)
const_iterator find (const key_type &__x) const
iterator insert (const value_type &__x)
iterator insert (value_type &&__x)
iterator insert (const_iterator __pos, const value_type &__x)
iterator insert (const_iterator __pos, value_type &&__x)
template<typename _InputIterator , typename = std::_RequireInputIter<_InputIterator>> void insert (_InputIterator __first, _InputIterator __last)
void insert (initializer_list< value_type > __l)
iterator lower_bound (const key_type &__x)
const_iterator lower_bound (const key_type &__x) const
multiset & operator= (const multiset &)=default
multiset & operator= (multiset &&)=default
multiset & operator= (initializer_list< value_type > __l)
reverse_iterator rbegin () noexcept
const_reverse_iterator rbegin () const noexcept
reverse_iterator rend () noexcept
const_reverse_iterator rend () const noexcept
void swap (multiset &__x) noexcept(noexcept(declval< _Base >().swap(__x)))
iterator upper_bound (const key_type &__x)
const_iterator upper_bound (const key_type &__x) const

  Protected Member Functions
void _M_profile_construct () noexcept
void _M_profile_destruct () noexcept
void _M_swap (_Ordered_profile &__other)

  Protected Attributes
__gnu_profile::__map2umap_info * _M_map2umap_info

  Friends
template<typename _K1 , typename _C1 , typename _A1 > bool operator< (const multiset< _K1, _C1, _A1 > &, const multiset< _K1, _C1, _A1 > &)
template<typename _K1 , typename _C1 , typename _A1 > bool operator== (const multiset< _K1, _C1, _A1 > &, const multiset< _K1, _C1, _A1 > &)

Detailed Description

  template<typename _Key, typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>class std::__profile::multiset< _Key, _Compare, _Allocator >
Class std::multiset wrapper with performance instrumentation.

Definition at line 42 of file profile/multiset.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.